#
# spec file for package systemd-inputmethod-generator
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           systemd-inputmethod-generator
Version:        1.0.5
Release:        1.5
Summary:        Expose INPUT_METHOD environment variable
License:        GPL-3.0-or-later
URL:            https://github.com/openSUSE-zh/systemd-inputmethod-generator
Source:         %{name}-%{version}.tar.gz
BuildRequires:  systemd-rpm-macros
Supplements:    (systemd and inputmethod)
BuildArch:      noarch

%description
Expose INPUT_METHOD environment variable to user sessions
according to the priority settings in /etc/X11/xim.d, so
wayland sessions and systemd fcitx/ibus user services can
work.

%prep
%setup -q

%build

%install
%make_install

%files
%dir %{_systemd_user_env_generator_dir}
%dir %{_environmentdir}
%{_systemd_user_env_generator_dir}/29-inputmethod.py3
%{_environmentdir}/99-inputmethod.conf

%changelog
* Sat Nov 19 2022 Marguerite Su <i@marguerite.su>
- update version 1.0.5
  * fix typos
* Sat Oct 15 2022 Marguerite Su <i@marguerite.su>
- update version 1.0.4
  * fcitx upstream suggests to use "fcitx" environment variable
    or some application like firefox may not work, see:
    https://github.com/fcitx/fcitx5/pull/611
    so we need some special handling of fcitx5
* Thu Sep 22 2022 Marguerite Su <i@marguerite.su>
- update version 1.0.3
  * fix boo#1200229, LC_CTYPE is not idential to directory name
    in xim.d
* Sun Mar  6 2022 Marguerite Su <i@marguerite.su>
- update version 1.0.2
  * $LANG may not set at early stage of systemd user instance,
    read /etc/locale.conf first then defaults to en_US.
  * $HOME may set to /var/lib/sddm, ignore for that case
* Sun Feb 27 2022 Marguerite Su <i@marguerite.su>
- update version 1.0.1
  * be aware of user's custom settings, /etc/sysconfig/language
    and $LANG
* Wed Feb 23 2022 Marguerite Su <i@marguerite.su>
- initial commit
